local thisLevel
function OnScriptLoaded(level)
  thisLevel = level
end
function OnStart(level)
  SoundOverrides()
end
function StartSawHall()
  GameObjects.trap_saw1.LuaObjectScript.Start()
  GameObjects.trap_saw2.LuaObjectScript.Start()
  GameObjects.trap_saw3.LuaObjectScript.Start()
  GameObjects.trap_saw4.LuaObjectScript.Start()
  GameObjects.trap_saw5.LuaObjectScript.Start()
  GameObjects.trap_saw6.LuaObjectScript.Start()
end
local soundEvents = {
  SNDBlades = "SND_TRAP_Saw_Blades_LP"
}
function SoundOverrides()
  local traps = thisLevel:FindGameObjects("trap_saw*")
  for _, trap in ipairs(traps) do
    trap.LuaObjectScript.SoundSetup(soundEvents)
  end
end
